Bug 209357 - games/pioneer: Update to 20160610
Summary: games/pioneer: Update to 20160610
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: easy, patch, patch-ready
Depends on: 209356
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-07 10:30 UTC by lightside
Modified: 2016-06-13 16:14 UTC (History)
2 users (show)

See Also:


Attachments
Proposed patch (since 412598 revision) (934 bytes, patch)
2016-05-07 10:30 UTC, lightside
lightside: maintainer-approval+
Details | Diff
The poudriere testport log (FreeBSD 10.2 amd64) (20.90 KB, application/x-bzip2)
2016-05-07 10:32 UTC, lightside
no flags Details
Proposed patch (since 412598 revision) (958 bytes, patch)
2016-05-13 22:50 UTC, lightside
lightside: maintainer-approval+
Details | Diff
The poudriere testport log (FreeBSD 10.2 amd64) (20.78 KB, application/x-bzip2)
2016-05-13 22:51 UTC, lightside
no flags Details
Proposed patch (since 412598 revision) (934 bytes, patch)
2016-05-13 23:06 UTC, lightside
lightside: maintainer-approval+
Details | Diff
Proposed patch (since 412598 revision) (934 bytes, patch)
2016-05-21 09:16 UTC, lightside
lightside: maintainer-approval+
Details | Diff
The poudriere testport log (FreeBSD 10.2 amd64) (20.88 KB, application/x-bzip2)
2016-05-21 09:17 UTC, lightside
no flags Details
Proposed patch (since 412598 revision) (934 bytes, patch)
2016-05-25 07:21 UTC, lightside
lightside: maintainer-approval+
Details | Diff
The poudriere testport log (FreeBSD 10.2 amd64) (20.80 KB, application/x-bzip2)
2016-05-25 07:46 UTC, lightside
no flags Details
Proposed patch (since 412598 revision) (1.54 KB, patch)
2016-05-26 06:10 UTC, lightside
lightside: maintainer-approval+
Details | Diff
Proposed patch (since 412598 revision) (1.26 KB, patch)
2016-05-30 16:42 UTC, lightside
lightside: maintainer-approval+
Details | Diff
The poudriere testport log (FreeBSD 10.2 amd64) (20.79 KB, application/x-bzip2)
2016-05-30 16:42 UTC, lightside
no flags Details
Proposed patch (since 412598 revision) (1.26 KB, patch)
2016-06-10 15:05 UTC, lightside
lightside: maintainer-approval+
Details | Diff
The poudriere testport log (FreeBSD 10.2 amd64) (20.89 KB, application/x-bzip2)
2016-06-10 15:30 UTC, lightside
no flags Details
Proposed patch (since 412598 revision) (2.05 KB, patch)
2016-06-12 21:52 UTC, lightside
lightside: maintainer-approval+
Details | Diff
The poudriere testport log (FreeBSD 9.3 amd64) (20.53 KB, application/x-bzip2)
2016-06-12 21:53 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64) (20.79 KB, application/x-bzip2)
2016-06-12 21:53 UTC, lightside
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2016-05-07 10:30:44 UTC
Created attachment 170085 [details]
Proposed patch (since 412598 revision)

Patch to update games/pioneer port from 20160404 to 20160504 version.

Look following link for changes:
https://github.com/pioneerspacesim/pioneer/compare/20160404...20160504

This version uses multimedia/assimp v3.2 library from bug 209356.

The saved games from previous version is not compatible.
Comment 1 lightside 2016-05-07 10:32:09 UTC
Created attachment 170086 [details]
The poudriere testport log (FreeBSD 10.2 amd64)
Comment 2 Bartek Rutkowski freebsd_committer 2016-05-08 15:19:00 UTC
This fails to build, seems like some dependency is missing:

checking for ASSIMP... yes
checking for ASSIMP version >= 3.2... no
configure: error: "assimp version >= 3.2 not found. Get it from https://assimp.sourceforge.net/"
===>  Script "configure" failed unexpectedly.
Please report the problem to lightside@gmx.com [maintainer] and attach the
"/wrkdirs/usr/ports/games/pioneer/work/pioneer-20160504/config.log" including
the output of the failure of your make command. Also, it might be a good idea
to provide an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /usr/ports/games/pioneer
====>> Cleaning up wrkdir
===>  Cleaning for pioneer-0.0.20160504
build of games/pioneer ended at Sun May  8 17:14:57 CEST 2016
build time: 00:01:17
!!! build failure encountered !!!
Comment 3 lightside 2016-05-08 17:58:55 UTC
Hello Bartek Rutkowski.
(In reply to comment #2)
> This fails to build, seems like some dependency is missing
Yes, there is a assimp 3.2 library dependency from bug 209356, which explained in description of comment 1.
Comment 4 lightside 2016-05-08 18:01:32 UTC
(In reply to comment #3)
> which explained in description of comment 1.
comment 0, with working poudriere testport log in comment 1.
Comment 5 lightside 2016-05-13 22:50:59 UTC
Created attachment 170263 [details]
Proposed patch (since 412598 revision)

Updated to 20160512 version.

Look following link for changes:
https://github.com/pioneerspacesim/pioneer/compare/20160404...20160512
Comment 6 lightside 2016-05-13 22:51:16 UTC
Created attachment 170264 [details]
The poudriere testport log (FreeBSD 10.2 amd64)
Comment 7 lightside 2016-05-13 23:06:37 UTC
Created attachment 170265 [details]
Proposed patch (since 412598 revision)

Removed TIMESTAMP variable from distinfo file, because of "make makesum" command with latest changes in ports for development purposes.
Comment 8 lightside 2016-05-21 09:16:39 UTC
Created attachment 170526 [details]
Proposed patch (since 412598 revision)

Updated to 20160520 version.

Look following link for changes:
https://github.com/pioneerspacesim/pioneer/compare/20160404...20160520
Comment 9 lightside 2016-05-21 09:17:04 UTC
Created attachment 170527 [details]
The poudriere testport log (FreeBSD 10.2 amd64)
Comment 10 lightside 2016-05-25 07:21:26 UTC
Created attachment 170647 [details]
Proposed patch (since 412598 revision)

Updated to 20160525 version.

Look following link for changes:
https://github.com/pioneerspacesim/pioneer/compare/20160404...20160525
Comment 11 lightside 2016-05-25 07:46:35 UTC
Created attachment 170648 [details]
The poudriere testport log (FreeBSD 10.2 amd64)
Comment 12 lightside 2016-05-26 06:10:42 UTC
Created attachment 170669 [details]
Proposed patch (since 412598 revision)

Added upstream patch after 20160525 release. The patch will be removed on next release.
Comment 13 VK freebsd_triage 2016-05-26 12:36:33 UTC
(In reply to lightside from comment #12)

Is there a LTS version or something? Or do you intend to repatch every few days :)
Comment 14 lightside 2016-05-26 13:33:39 UTC
Hello Vladimir Krstulja.

(In reply to comment #13)
> Is there a LTS version or something? Or do you intend to repatch every few
> days :)
I think, this depends from bug 209356 completion.
We trying to get response from multimedia/assimp maintainer or give a time for maintainer timeout. While this happens, I just submit new release updates (and important patches between them). This is just a opportunity, while this PR open and (important) updates available.

Thanks for your attention.
Comment 15 lightside 2016-05-30 16:42:12 UTC
Created attachment 170830 [details]
Proposed patch (since 412598 revision)

Updated to 20160530 version.

Look following link for changes:
https://github.com/pioneerspacesim/pioneer/compare/20160404...20160530

- Added default values for EXTRACT_AFTER_ARGS variable
Comment 16 lightside 2016-05-30 16:42:38 UTC
Created attachment 170831 [details]
The poudriere testport log (FreeBSD 10.2 amd64)
Comment 17 lightside 2016-06-10 15:05:55 UTC
Created attachment 171269 [details]
Proposed patch (since 412598 revision)

Updated to 20160610 version.

Look following link for changes:
https://github.com/pioneerspacesim/pioneer/compare/20160404...20160610
Comment 18 lightside 2016-06-10 15:30:31 UTC
Created attachment 171270 [details]
The poudriere testport log (FreeBSD 10.2 amd64)
Comment 19 Kurt Jaeger freebsd_committer 2016-06-12 19:34:35 UTC
Testbuild fails on 9.3a:

http://people.freebsd.org/~pi/logs/games__pioneer-93a-1465757678.txt

any idea ?
Comment 20 lightside 2016-06-12 19:48:31 UTC
(In reply to Kurt Jaeger from comment #19)
> Testbuild fails on 9.3a
> any idea ?
This might be incompatibility between newer std library version, which is available in FreeBSD 10.x, and 9.3. I fixed it for some parts of code, like ${WRKSRC}/src/Orbit.cpp, but there is new issue for latest release version. Need time to investigate with poudriere.
Comment 21 lightside 2016-06-12 21:52:40 UTC
Created attachment 171358 [details]
Proposed patch (since 412598 revision)

(In reply to comment #20)
> Need time to investigate with poudriere.
As compiler suggested in build log, the to_string defined in StringF.h file already, therefore use it instead of std:to_string.

- Add new sed patch for FreeBSD 9.3.
- Move docs installation to post-install-DOCS-on stage.
Comment 22 lightside 2016-06-12 21:53:16 UTC
Created attachment 171359 [details]
The poudriere testport log (FreeBSD 9.3 amd64)
Comment 23 lightside 2016-06-12 21:53:53 UTC
Created attachment 171360 [details]
The poudriere testport log (FreeBSD 10.2 amd64)
Comment 24 Kurt Jaeger freebsd_committer 2016-06-13 16:11:25 UTC
testbuilds done, all fine
Comment 25 commit-hook freebsd_committer 2016-06-13 16:12:56 UTC
A commit references this bug:

Author: pi
Date: Mon Jun 13 16:12:46 UTC 2016
New revision: 416850
URL: https://svnweb.freebsd.org/changeset/ports/416850

Log:
  games/pioneer: 20160404 -> 20160610

  Changes:
    https://github.com/pioneerspacesim/pioneer/compare/20160404...20160504
  - This version uses multimedia/assimp v3.2 library from bug 209356.
  - The saved games from previous version are not compatible!

  PR:		209357
  Submitted by:	lightside@gmx.com (maintainer)

Changes:
  head/games/pioneer/Makefile
  head/games/pioneer/distinfo
Comment 26 Kurt Jaeger freebsd_committer 2016-06-13 16:14:08 UTC
Committed, thanks!